bindwood not using the correct version of mozilla-devscripts

Bug #425631 reported by Jonathan Aquilina on 2009-09-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bindwood
Undecided
Unassigned
Firefox Extensions
Undecided
Unassigned
bindwood (Ubuntu)
Undecided
Jonathan Aquilina

Bug Description

Use new features of mozilla-devscripts 0.14

- simplify debian/rules
- reduce Depends to a simple ${xpi:Depends}
- move ${xpi:Depends} to recommends

Andrea Veri (av) wrote :

re-assigning to the right source package plus marking bindwood (project) and firefox-extentions targets as invalid as far as I've moved the bug against the right source package in question.

Changed in firefox-extensions:
status: New → Invalid
Changed in bindwood:
status: New → Invalid
Changed in bindwood (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
status: Confirmed → New
importance: Low → Undecided

this is a karmic extension cleanup effort i am doing after discussing with asac

Changed in bindwood (Ubuntu):
status: New → In Progress
assignee: nobody → eagles051387 (eagles051387)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bindwood - 0.4.1-0ubuntu2

---------------
bindwood (0.4.1-0ubuntu2) karmic; urgency=low

  * LP: #425631 - https://wiki.ubuntu.com/MozillaTeam/Karmic/ExtensionReview
    - ensure mozilla-devscripts (>= 0.16~) is used
    - ensure that ${xpi:Recommends} is used instead of ${xpi:Depends} and be
      sure to add it under Recommends: field.
    - ensure that no packages (browsers / mail clients) are in Depends: cause
      ${xpi:Recommends} will do the trick for us
    - ensure that Standards-Version 3.8.3 is used.
    - remove unzip from Build-Depends, if there is no direct unzip call in
      debian/rules
    - remove zip from Build-Depends, if there is no direct zip call in
      debian/rules
    - ensure that all binary packages depend on ${misc:Depends}
    - ensure that the Maintainer field is up-to-date: use "Ubuntu Developers
      <email address hidden>" instead of "Ubuntu MOTU Developers
      <email address hidden>"
    - add "Provides: ${xpi:Provides}" and "Enhances: ${xpi:Enhances}"
    - remove MOZ_EXTENSION_PKG, if it is the first binary package in
      debian/control

 -- Alexander Sack <email address hidden> Thu, 15 Oct 2009 03:59:36 +0200

Changed in bindwood (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers